Bug 149705 - Changing name in Node Properties can change Fence Device and Failover Domain names
Changing name in Node Properties can change Fence Device and Failover Domain ...
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 11:20 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 16:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-02-25 11:20:23 EST
Description of problem:

When editing the "Cluster Node Name" in the Node Properties dialog
box, a user can change the name of a failover domain or a fence device.

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.5-1.0


Steps to Reproduce:
1.  Navigate to Node Properties dialog box for cluster node "foo":
    Cluster -> Cluster Nodes -> foo -> Edit Node Properties
2.  At the Node Properties dialog box, Change "foo" to "foo1".
3.  Navigate to failover domain "bar": Cluster -> Managed Resources ->
    Failover Domains -> bar
4.  At the Node Properties dialog box (opened in step 1), click "OK".
5.  Observe the name change of failover domain "foo"; its name changes 
    from "bar" to "foo1".
6.  Observe cluster node name "foo"; its name did *not* change to
    "foo1".
  
Actual results:
For step 5, the failover domain name "bar" was changed to "foo1".
For step 6, the cluster node name "foo" did not change.

Expected results:
The cluster node name "foo" should have been changed to "foo1".

Additional info:

The same results occur with fence device names. That is, in the
preceding "Steps to Reproduce", substituting step 3 with navigating to
a fence device (Cluster -> Fence Devices -> <fence device name>)
results in changing the name of the fence device to "foo1".
Comment 1 Jim Parsons 2005-03-01 13:11:35 EST
will examine
Comment 2 Corey Marthaler 2005-04-28 14:53:13 EDT
As an additional observation to this bug, if you edit an existing fence device
and without clicking OK, click on a node, and then click OK to the edit fence
dialog box, it will CREATE a new fence device rather than edit the one you were
trying to change.
Comment 3 Jim Parsons 2005-04-28 16:45:36 EDT
All issues above fixed in 0.9.43
Comment 4 Corey Marthaler 2005-04-29 11:00:32 EDT
All issues are not fixed. The original case which casued this bug to be opened
still needs to be fixed. Click to edit a node, then without clicking OK,
highlight a fence device, that bug is still there. In fact if you are running in
multicast mode and try that senario, you'll see a trace back:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 900, in
on_node_props_ok
    nd.setInterface(ifc)
AttributeError: FailoverDomain instance has no attribute 'setInterface'


The additional observation outlined in comment #2 however is fixed.
Comment 5 Jim Parsons 2005-04-29 11:25:18 EDT
New and Improved Fix! I didn't understand the subtleties present in the original
ticket...all set in 0.9.44
Comment 6 Corey Marthaler 2005-04-29 16:35:31 EDT
fix verified in -44.

Note You need to log in before you can comment on or make changes to this bug.